Subject: bug#61395: 28.2; bug-reference warning seems incorrect

From: Kévin Le Gouguec <[email-masked]>
Date: Sat, 11 Feb 2023 10:33:29 +0100

Tassilo Horn <[email-masked]> writes:

> Thanks a lot and 100 bonus points to Kévin who has been right with his
> analysis.

s/analysis/'irrational fear of anything match-data related'/

…

s/irrational/'not always entirely unwarranted'/

Just living by Dr Monnier's wise words from bug#35564:

>>                I just tend to get superstitious about messing with match
>> data.
> 
> Instead, you should get superstitious about using the match data too
> far from the corresponding match.

Amen 🙏

(I've since learned that "too far" really means "one function call away,
if that function is declared neither 'pure nor 'side-effect-free")